Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 756)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 757)
@@ -27,6 +27,7 @@
 //
 package org.txm.searchengine.cqp.corpus;
 
+import org.txm.core.results.TXMResult;
 import org.txm.objects.Base;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
@@ -39,7 +40,7 @@
  *
  * @author jmague
  */
-public class Part extends Subcorpus implements Comparable<Part>{
+public class Part extends Subcorpus {
 
 	/** The partition. */
 	private Partition partition;
@@ -166,7 +167,7 @@
 	 * @see java.lang.Comparable#compareTo(java.lang.Object)
 	 */
 	@Override
-	public int compareTo(Part o) {
+	public int compareTo(TXMResult o) {
 		return this.getName().compareTo(o.getName());
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 756)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 757)
@@ -45,6 +45,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMParameters;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -630,4 +631,16 @@
 	}
 	
 
+	@Override
+	public int compareTo(TXMResult o) {
+		// Compare node weights
+		int output = super.compareTo(o);
+		// Compare simple names if weights are equal
+		if(output == 0)	{
+			output = this.getSimpleName().compareToIgnoreCase(o.getSimpleName());
+		}
+		return output;
+	}
+
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 756)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 757)
@@ -1406,4 +1406,17 @@
 		return corpus;
 	}
 	
+	
+	@Override
+	public int compareTo(TXMResult o) {
+		// Compare node weights
+		int output = super.compareTo(o);
+		// Compare simple names if weights are equal
+		if(output == 0)	{
+			output = this.getSimpleName().compareToIgnoreCase(o.getSimpleName());
+		}
+		return output;
+	}
+
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Query.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Query.java	(revision 756)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Query.java	(revision 757)
@@ -269,14 +269,19 @@
 
 			query = normalizeWhiteChars(query);
 
+			// empty query
+			if(query.isEmpty())	{
+				return query;
+			}
 			// query contains double quotes
-			if (query.contains("\"")) { //$NON-NLS-1$
+			else if (query.contains("\"")) { //$NON-NLS-1$
 				return query;
-			} else
+			}
 			// query contains brackets
-			if (query.contains("[") && query.contains("]")) { //$NON-NLS-1$ //$NON-NLS-2$
+			else if (query.contains("[") && query.contains("]")) { //$NON-NLS-1$ //$NON-NLS-2$
 				return query; // probably [] or [...]
-			} else {
+			}
+			else {
 				return '"' + query + '"'; //$NON-NLS-1$
 			}
 		} else if (QueryFixStrategy == ElectricStrategy) {
Index: tmp/org.txm.information.rcp/build.properties
===================================================================
--- tmp/org.txm.information.rcp/build.properties	(revision 756)
+++ tmp/org.txm.information.rcp/build.properties	(revision 757)
@@ -2,4 +2,6 @@
 output.. = bin/
 bin.includes = META-INF/,\
                .,\
-               plugin.xml
+               plugin.xml,\
+               icons/,\
+               OSGI-INF/
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 756)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 757)
@@ -16,6 +16,7 @@
  org.txm.rcp;bundle-version="0.7.8"
 Export-Package: org.txm.chartsengine.jfreechart.rcp,
  org.txm.chartsengine.jfreechart.rcp.events,
+ org.txm.chartsengine.jfreechart.rcp.handlers,
  org.txm.chartsengine.jfreechart.rcp.preferences,
  org.txm.chartsengine.jfreechart.rcp.swt,
  org.txm.chartsengine.jfreechart.rcp.themes.base.swing,
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 756)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 757)
@@ -95,9 +95,9 @@
 			Log.setPrintInConsole(true);
 			Log.setLevel(Level.ALL);
 			Log.severe(TXMUIMessages.Application_2);
-			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.ADD_TECH_LOGS, true);
-			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_LEVEL, "ALL"); //$NON-NLS-1$
-			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_STACKTRACE, true);
+			Toolbox.setPreference(TBXPreferences.ADD_TECH_LOGS, true);
+			Toolbox.setPreference(TBXPreferences.LOG_LEVEL, "ALL"); //$NON-NLS-1$
+			Toolbox.setPreference(TBXPreferences.LOG_STACKTRACE, true);
 		}
 		if (argsList.contains("-run")) { //$NON-NLS-1$
 			//System.out.println("Running TXM");
@@ -108,8 +108,8 @@
 				System.out.println("Stand alone launch, creating minimal TXM user home directory in "+userhomeDirectory.getAbsolutePath());
 				System.out.println("Sample corpora, scripts, import scripts and macros files are not yet installed.");
 				
-				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.USER_TXM_HOME, userhomeDirectory.getAbsolutePath());
-				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.INSTALL_DIR, userhomeDirectory.getParentFile().getAbsolutePath());
+				Toolbox.setPreference(TBXPreferences.USER_TXM_HOME, userhomeDirectory.getAbsolutePath());
+				Toolbox.setPreference(TBXPreferences.INSTALL_DIR, userhomeDirectory.getParentFile().getAbsolutePath());
 				
 				File corpusworkspaceDirectory = new File(userhomeDirectory, "workspaces");
 				corpusworkspaceDirectory.mkdirs();
@@ -294,8 +294,7 @@
 		try {
 			preferences.save();
 		} catch (IOException e) {
-			System.err.println(NLS.bind(
-					TXMUIMessages.FAILED_TO_SAVE_PREFERENCES, e));
+			System.err.println(NLS.bind(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES, e));
 			exit = true;
 			return exit;
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 756)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 757)
@@ -199,9 +199,9 @@
 			
 			// remove empty toolbar
 			//TODO SJ: Hack? MD: yeah -> need to find a way to not display the bottom toolbar on Windows instead
-//			if (this.bottomToolBar.getItems().length == 0) {
-//				this.bottomToolBar.dispose();
-//			}
+			if (this.bottomToolBar.getItems().length == 0) {
+				this.bottomToolBar.dispose();
+			}
 		}
 		catch(Exception e) {
 			System.err.println("TXMEditor.createPartControl(): can not create the editor.");
@@ -658,10 +658,14 @@
 					((NewNavigationWidget)object).setCurrentPosition((Integer) value); 
 				}
 				else if(object instanceof AssistedQueryWidget)	{
-					((AssistedQueryWidget)object).setText(((Query)value).getQueryString()); 
+					if(!((Query)value).getQueryString().isEmpty())	{
+						((AssistedQueryWidget)object).setText(((Query)value).getQueryString());
+					}
 				}
 				else if(object instanceof QueryWidget)	{
-					((QueryWidget)object).setText(((Query)value).getQueryString()); 
+					if(!((Query)value).getQueryString().isEmpty())	{
+						((QueryWidget)object).setText(((Query)value).getQueryString());
+					}
 				}
 				else	{
 					f.set(this, value);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 756)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 757)
@@ -142,6 +142,6 @@
 	}
 
 	public Query getQuery() {
-		return new Query(getQueryString());
+		return this.querywidget.getQuery();
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 756)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 757)
@@ -117,7 +117,11 @@
 	 * @return the query
 	 */
 	public Query getQuery() {
-		
-		return new Query(this.getQueryString());
+		if(!this.getQueryString().isEmpty())	{
+			return new Query(this.getQueryString());	
+		}
+		else	{
+			return null;
+		}
 	};
 }
Index: tmp/org.txm.information.core/src/org/txm/information/core/functions/Information.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/information/core/functions/Information.java	(revision 756)
+++ tmp/org.txm.information.core/src/org/txm/information/core/functions/Information.java	(revision 757)
@@ -601,7 +601,7 @@
 
 	@Override
 	public String getSimpleName() {
-		return "Informations";
+		return "Propriétés";
 	}
 
 	@Override
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImporter.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImporter.groovy	(revision 756)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImporter.groovy	(revision 757)
@@ -34,9 +34,9 @@
 				return;
 			}
 			this.metadata = new Metadatas(copy,
-					Toolbox.getParam(Toolbox.METADATA_ENCODING),
-					Toolbox.getParam(Toolbox.METADATA_COLSEPARATOR),
-					Toolbox.getParam(Toolbox.METADATA_TXTSEPARATOR), 1)
+					Toolbox.getPreference(Toolbox.METADATA_ENCODING),
+					Toolbox.getPreference(Toolbox.METADATA_COLSEPARATOR),
+					Toolbox.getPreference(Toolbox.METADATA_TXTSEPARATOR), 1)
 		}
 		isSuccessFul = true;
 	}
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 756)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 757)
@@ -85,8 +85,7 @@
 	}
 
 	/**
-	 * if searchengine or statengine or workspace is not ready then the toolbox
-	 * is not ready.
+	 * If searchengine or statengine or workspace is not ready then the toolbox is not ready.
 	 *
 	 * @return true, if successful
 	 */
@@ -119,15 +118,25 @@
 	}
 
 	/**
-	 * Shortcut to the TBXPreferences getString method
+	 * Gets a preference from the Toolbox Preferences node.
 	 * 
 	 * @param key
 	 * @return
 	 */
-	public static String getParam(String key) {
+	public static String getPreference(String key) {
 		return TXMPreferences.getString(key, TBXPreferences.PREFERENCES_NODE);
 	}
 
+	/**
+	 * Sets a preference of the Toolbox Preferences node.
+	 * @param key
+	 * @param value
+	 */
+	public static void setPreference(String key, Object value) {
+		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, key, value);
+	}
+
+	
 	public static EnginesManager<?> getEngineManager(EngineType et) {
 
 		if (engines == null) {
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 756)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 757)
@@ -83,7 +83,7 @@
 //		
 		preferences.putBoolean(TBXPreferences.EXPERT_USER, false); //$NON-NLS-1$
 		
-		preferences.put(TBXPreferences.LOG_LEVEL, "OFF"); //$NON-NLS-1$
+		// FIXME
 		preferences.putBoolean(TBXPreferences.ADD_TECH_LOGS, false); //$NON-NLS-1$
 		preferences.putBoolean(TBXPreferences.LOG_STACKTRACE, true); //$NON-NLS-1$
 		preferences.putBoolean(TBXPreferences.LOG_IN_FILE, false); //$NON-NLS-1$
@@ -92,9 +92,9 @@
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
 		
-		preferences.put(EXPORT_COLSEPARATOR, "\t");
-		preferences.put(EXPORT_ENCODING, System.getProperty("file.encoding"));
-		preferences.put(EXPORT_TXTSEPARATOR, "");
+		preferences.put(EXPORT_COLSEPARATOR, "\t"); //$NON-NLS-1$
+		preferences.put(EXPORT_ENCODING, System.getProperty("file.encoding")); //$NON-NLS-1$
+		preferences.put(EXPORT_TXTSEPARATOR, ""); //$NON-NLS-1$
 		preferences.putBoolean(EXPORT_SHOW, false);
 		
 		preferences.putBoolean(SHOW_ALL_RESULT_NODES, false);
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 756)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 757)
@@ -58,7 +58,7 @@
  * @author mdecorde
  * @author sjacquot
  */
-public abstract class TXMResult implements Cloneable, IProgressMonitor {
+public abstract class TXMResult implements Cloneable, IProgressMonitor, Comparable<TXMResult> {
 
 
 	public static final DateFormat ID_TIME_FORMAT = new SimpleDateFormat("YYYYMMdd");
@@ -1309,7 +1309,7 @@
 	 * @return the String "*"
 	 */
 	public String getEmptyName()	{
-		return "*"; 
+		return "..."; //$NON-NLS-1$
 	}
 
 	/**
@@ -1720,4 +1720,11 @@
 		return userName;
 	}
 
+	@Override
+	public int compareTo(TXMResult o) {
+		// Compare node weights
+		return Integer.compare(this.weight, o.weight);
+	}
+
+	
 }
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 756)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 757)
@@ -14,10 +14,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.ui.IPartListener;
-import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchPart;
-import org.eclipse.ui.IWorkbenchWindow;
-import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.MultiPageEditorPart;
@@ -30,10 +27,7 @@
 import org.txm.chartsengine.rcp.swt.AdvancedChartEditorToolBar;
 import org.txm.chartsengine.rcp.swt.ChartComposite;
 import org.txm.chartsengine.rcp.swt.ChartEditorToolBar;
-import org.txm.core.results.TXMResult;
-import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.utils.logger.Log;
 
 /**
Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 756)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 757)
@@ -22,3 +22,4 @@
  org.txm.chartsengine.rcp.preferences,
  org.txm.chartsengine.rcp.swt
 Bundle-Vendor: Textometrie.org
+Bundle-ActivationPolicy: lazy
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 756)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 757)
@@ -817,7 +817,9 @@
 		if (pQuery != null) {
 			return pQuery.toString();
 		}
-		return this.getName();
+		else	{
+			return this.getEmptyName();
+		}
 	}
 
 	/**
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 756)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 757)
@@ -295,20 +295,21 @@
 					refValues.put(property, cqiClient.getData(property,
 							l.positions, Collections.nCopies(l.positions.size(), 1)));
 				}
-
-				for (int j = 0 ; j < l.positions.size() ; j++)// build the Reference object
-				{
+				// build the Reference object
+				for (int j = 0 ; j < l.positions.size() ; j++) {
 					String propvalue = ""; //$NON-NLS-1$
 					for (Property property : pPattern) {
-						propvalue += refValues.get(property).get(j).get(0)+", "; //$NON-NLS-1$
+						propvalue += refValues.get(property).get(j).get(0) + ", "; //$NON-NLS-1$
 					}
 
 					l.addReference(propvalue.substring(0, propvalue.length()-2));
 				}
-				if (pHierarchicSort)
-					l.sortRef(true);
-				else
-					l.sortAlpha();
+				if (pHierarchicSort) {
+					l.sortRef(true);
+				}
+				else {
+					l.sortAlpha();
+				}
 				l.notcomputed = false;
 			}
 		}
@@ -333,8 +334,13 @@
 	 *
 	 * @return the name
 	 */
-	public String getName() {
-		return getCorpus().getName() + ": " + pQuery; //$NON-NLS-1$
+	public String getName() {
+		if(pQuery != null)	{
+			return getCorpus().getName() + ": " + pQuery; //$NON-NLS-1$
+		}
+		else {
+			return this.getEmptyName();
+		}
 	}
 
 	/**
@@ -413,11 +419,11 @@
 
 	@Override
 	public String getSimpleName() {
-		if (pQuery != null) {
+		try {
 			return pQuery.toString();
 		}
-		else {
-			return getName();
+		catch (Exception e) {
+			return this.getEmptyName();
 		}
 	}
 
@@ -544,15 +550,15 @@
 	public boolean canCompute() {
 
 		if (pQuery == null || pQuery.isEmpty()) {
-			System.out.println("Empty query");
+			System.out.println("No query set.");
 			return false;
 		}
 		if (pPattern == null || pPattern.size() == 0) {
-			System.out.println("No reference pattern");
+			System.out.println("No reference pattern set.");
 			return false;
 		}
 		if (pProperty == null) {
-			System.out.println("No property");
+			System.out.println("No property set.");
 			return false;
 		}
 		
@@ -561,7 +567,9 @@
 
 	@Override
 	public boolean loadParameters() throws CqiClientException {
-		this.pQuery = new Query(this.getStringParameterValue(ReferencerPreferences.QUERY));
+		if(!this.getStringParameterValue(ReferencerPreferences.QUERY).isEmpty()) {
+			this.pQuery = new Query(this.getStringParameterValue(ReferencerPreferences.QUERY));
+		}
 		this.pPattern = StructuralUnitProperty.stringToProperties(this.getCorpus(), this.getStringParameterValue(ReferencerPreferences.PATTERN));
 		this.pProperty = this.getCorpus().getProperty(this.getStringParameterValue(ReferencerPreferences.UNIT_PROPERTY));
 		return true;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 757)
@@ -97,9 +97,9 @@
 	long time;
 	// START START START START
 	if (firstExecution == 0)
-		csv << ["object", "size", "nPart", "command", "query", "query freq", "$CORPUSNAME $QUERY1 $QUERY2 mode "+Toolbox.getParam(Toolbox.CQI_NETWORK_MODE)]
+		csv << ["object", "size", "nPart", "command", "query", "query freq", "$CORPUSNAME $QUERY1 $QUERY2 mode "+Toolbox.getPreference(Toolbox.CQI_NETWORK_MODE)]
 	else
-		csv[i++] << "$CORPUSNAME $QUERY1 $QUERY2 mode "+Toolbox.getParam(Toolbox.CQI_NETWORK_MODE)
+		csv[i++] << "$CORPUSNAME $QUERY1 $QUERY2 mode "+Toolbox.getPreference(Toolbox.CQI_NETWORK_MODE)
 	
 	// INFORMATIONS
 	print " INFO"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/txtLoader.groovy	(revision 757)
@@ -97,7 +97,7 @@
 		println "Error: could not create a copy of metadata file "+allmetadatasfile.getAbsoluteFile();
 		return;
 	}
-	metadatas = new Metadatas(copy, Toolbox.getParam(Toolbox.METADATA_ENCODING), Toolbox.getParam(Toolbox.METADATA_COLSEPARATOR), Toolbox.getParam(Toolbox.METADATA_TXTSEPARATOR), 1)
+	metadatas = new Metadatas(copy, Toolbox.getPreference(Toolbox.METADATA_ENCODING), Toolbox.getPreference(Toolbox.METADATA_COLSEPARATOR), Toolbox.getPreference(Toolbox.METADATA_TXTSEPARATOR), 1)
 } else {
 	println "No metadata file: "+allmetadatasfile
 }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xtz/XTZImporter.groovy	(revision 757)
@@ -109,9 +109,9 @@
 				return;
 			}
 			metadata = new Metadatas(copy,
-			Toolbox.getParam(Toolbox.METADATA_ENCODING),
-			Toolbox.getParam(Toolbox.METADATA_COLSEPARATOR),
-			Toolbox.getParam(Toolbox.METADATA_TXTSEPARATOR), 1)
+			Toolbox.getPreference(Toolbox.METADATA_ENCODING),
+			Toolbox.getPreference(Toolbox.METADATA_COLSEPARATOR),
+			Toolbox.getPreference(Toolbox.METADATA_TXTSEPARATOR), 1)
 		}
 
 		String cleanDirectories = module.getParameters().getKeyValueParameters().get(ImportKeys.CLEAN);
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy	(revision 757)
@@ -90,12 +90,12 @@
 		files = new File(rootDir,"ptreetagger").listFiles()	
 		for(File f : files)
 		{
-			File modelfile = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH),"/afr.par");
+			File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH),"/afr.par");
 			File infile = f
 			File outfile = new File(rootDir+"/treetagger",f.getName());
 			println("3- APPLY TT on : "+infile+" with : "+modelfile +" >>  "+outfile);
 			
-			TreeTagger tt = new TreeTagger(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
+			TreeTagger tt = new TreeTagger(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
 			tt.settoken();
 			tt.setlemma();
 			tt.setquiet();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/perrault/annotate.groovy	(revision 757)
@@ -75,7 +75,7 @@
 		files = new File(rootDir,"treetagger").listFiles()	
 		for(File f : files)
 		{
-			File modelfile = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH),"/fr.par");
+			File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH),"/fr.par");
 			if(!modelfile.exists())
 			{
 				println "Skipping ANNOTATE: Incorrect modelfile path: "+modelfile;
@@ -85,12 +85,12 @@
 			File outfile = new File(f.getParent(),f.getName()+"-out.tt");
 			println("3- APPLY TT on : "+infile+" with : "+modelfile +" >>  "+outfile);
 			
-			if(!new File(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists())
+			if(!new File(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists())
 			{
-				println("Path to TreeTagger is wrong "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
+				println("Path to TreeTagger is wrong "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
 				return;
 			}
-			TreeTagger tt = new TreeTagger(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
+			TreeTagger tt = new TreeTagger(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
 			tt.settoken();
 			tt.setlemma();
 			tt.setquiet();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/importer.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/importer.groovy	(revision 757)
@@ -95,7 +95,7 @@
 				println "Error: could not create a copy of metadata file "+csvfile.getAbsoluteFile();
 				return;
 			}
-			metadatas = new Metadatas(copy, Toolbox.getParam(Toolbox.METADATA_ENCODING), Toolbox.getParam(Toolbox.METADATA_COLSEPARATOR), Toolbox.getParam(Toolbox.METADATA_TXTSEPARATOR), 1)
+			metadatas = new Metadatas(copy, Toolbox.getPreference(Toolbox.METADATA_ENCODING), Toolbox.getPreference(Toolbox.METADATA_COLSEPARATOR), Toolbox.getPreference(Toolbox.METADATA_TXTSEPARATOR), 1)
 		} else {
 			println "No metadata file: "+csvfile
 			println "Aborting"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy	(revision 757)
@@ -59,7 +59,7 @@
 		for(File teifile : listfiles)
 		{
 			println("annotate "+teifile)
-			File modelfile = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH),"/rgaqcj.par");
+			File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH),"/rgaqcj.par");
 			if(!modelfile.exists())
 			{
 				println "Skipping ANNOTATE: Incorrect modelfile path: "+modelfile;
@@ -74,12 +74,12 @@
 			builder.process(ttsrcfile);
 			
 			//Apply TT
-			if(!new File(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists() || Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH).length() == 0 )
+			if(!new File(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists() || Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH).length() == 0 )
 			{
-				println("Path to TreeTagger is wrong: "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
+				println("Path to TreeTagger is wrong: "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
 				return;
 			}
-			TreeTagger tt = new TreeTagger(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
+			TreeTagger tt = new TreeTagger(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/");
 			tt.settoken();
 			tt.setlemma();
 			tt.setquiet();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/transcriberLoader.groovy	(revision 757)
@@ -122,7 +122,7 @@
 		println "Error: could not create a copy of metadata file "+allmetadatasfile.getAbsoluteFile();
 		return;
 	}
-	metadatas = new Metadatas(copy, Toolbox.getParam(Toolbox.METADATA_ENCODING), Toolbox.getParam(Toolbox.METADATA_COLSEPARATOR), Toolbox.getParam(Toolbox.METADATA_TXTSEPARATOR), 1)
+	metadatas = new Metadatas(copy, Toolbox.getPreference(Toolbox.METADATA_ENCODING), Toolbox.getPreference(Toolbox.METADATA_COLSEPARATOR), Toolbox.getPreference(Toolbox.METADATA_TXTSEPARATOR), 1)
 }
 else
 	println "no metadata file: "+allmetadatasfile
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/BuildTTSrc.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/BuildTTSrc.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/BuildTTSrc.groovy	(revision 757)
@@ -170,7 +170,7 @@
 			}
 
 			String str = buffer.toString()
-			if ("false".equals(Toolbox.getParam(Toolbox.TREETAGGER_APOSTROPHE))) {
+			if ("false".equals(Toolbox.getPreference(Toolbox.TREETAGGER_APOSTROPHE))) {
 				str = str.replace("’", "'").replace("‘", "'");
 			}
 			output.write(str)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 757)
@@ -73,10 +73,10 @@
 			File outfile = ttoutfile;
 
 			// TODO: why org.txm.utils.treetagger.TreeTagger tt = ..., throw IllegalAccessError ???
-			String opt = Toolbox.getParam(Toolbox.TREETAGGER_OPTIONS);
+			String opt = Toolbox.getPreference(Toolbox.TREETAGGER_OPTIONS);
 			if (opt == null) opt = "";
 			String[] options = opt.split("  ");
-			def tt = new TreeTagger(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/", options);
+			def tt = new TreeTagger(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/", options);
 			tt.settoken();
 			tt.setlemma();
 			tt.setquiet();
@@ -107,14 +107,14 @@
 		if(debug) {
 			println "rootDirFile "+binDir
 			println "txmDir "+txmDir
-			println "TREETAGGER INSTALL PATH : "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)
-			println "TREETAGGER MODELS PATH : "+Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH)
+			println "TREETAGGER INSTALL PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)
+			println "TREETAGGER MODELS PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)
 		}
 
 		//test if the Toolbox know TreeTagger
-		if (!new File(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists())
+		if (!new File(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists())
 		{
-			println("Could not find TreeTagger binaries in "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
+			println("Could not find TreeTagger binaries in "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
 			return false;
 		}
 
@@ -127,7 +127,7 @@
 		List<File> files = txmDir.listFiles()
 
 		// get model file and check it
-		File modelfile = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH), modelfilename);
+		File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH), modelfilename);
 		if (debug)
 			println "model file : "+modelfile;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 756)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 757)
@@ -108,7 +108,7 @@
 	File modelsDirectory;
 	
 	public Annotate() {
-		modelsDirectory = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH)); // default models directory is set in the Toolbox
+		modelsDirectory = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)); // default models directory is set in the Toolbox
 	}
 		
 	/**
@@ -267,13 +267,13 @@
 		if (debug) {
 			println "rootDirFile "+binDir
 			println "txmDir "+txmDir
-			println "TREETAGGER INSTALL PATH : "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)
-			println "TREETAGGER MODELS PATH : "+Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH)
+			println "TREETAGGER INSTALL PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)
+			println "TREETAGGER MODELS PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)
 		}
 
 		//test if the Toolbox know TreeTagger
-		if (!new File(Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists()) {
-			println("Could not find TreeTagger binaries in "+Toolbox.getParam(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
+		if (!new File(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists()) {
+			println("Could not find TreeTagger binaries in "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
 			return false;
 		}
 		String langAll = null
@@ -310,7 +310,7 @@
 
 		if (cancelNow) return;
 
-		File modelDirectory = new File(Toolbox.getParam(Toolbox.TREETAGGER_MODELS_PATH));
+		File modelDirectory = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH));
 		if (!modelDirectory.exists()) {
 			println "Skipping ANNOTATE: TreeTagger language model file directory not found: "+modelDirectory.getAbsolutePath();
 			return false;
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 756)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 757)
@@ -798,29 +798,22 @@
 			return lexicon.getSimpleName();
 		}
 		else {
-			try {
-				
-				String name = ""; //$NON-NLS-1$
-				
-				if (pQuery != null && !pQuery.isEmpty())	{
-					name += pQuery.getQueryString();
-				}
-				else	{
-					name += this.getEmptyName();
-				}
+			String name = ""; //$NON-NLS-1$
+			if (pQuery != null && !pQuery.isEmpty()) {
+				name += pQuery.getQueryString();
 				name += ": "; //$NON-NLS-1$
-				
-				for (Property s : pProperties)	{
+
+				for (Property s : pProperties) {
 					name += s.getName() + pPropertiesSeparator;
 				}
-				if (pProperties.size() > 0)	{
+				if (pProperties.size() > 0) {
 					name = name.substring(0, name.length() - 1);
 				}
 				return name;
-			} catch(Exception e) {
-
 			}
-			return this.parent.getSimpleName();
+			else {
+				return this.getEmptyName();
+			}
 		}
 	}
 
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 756)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 757)
@@ -2,6 +2,8 @@
 package org.txm.searchengine.cqp.rcp.adapters;
 
 import java.util.ArrayList;
+import java.util.Collection;
+import java.util.Collections;
 
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.model.IWorkbenchAdapter;
@@ -16,6 +18,7 @@
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
+import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 
 
@@ -35,19 +38,41 @@
 			return new TXMResultAdapter() {
 				@Override
 				public Object[] getChildren(Object corpus) {
-					ArrayList<TXMResult> children = ((Corpus) corpus).getChildren(!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE));
+					ArrayList<TXMResult> allChildren = ((Corpus) corpus).getChildren(!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE));
 
+					ArrayList partitions = new ArrayList();
+					ArrayList subcorporas = new ArrayList();
+					ArrayList otherChildren = new ArrayList();
+					ArrayList children = new ArrayList();
+					
 					// FIXME: remove Text and SavedQuery from the corpora view
-					for (int i = 0; i < children.size(); i++) {
-						Object element = children.get(i);
+					// + sort and group the partitions and subcorpus 
+					for (int i = 0; i < allChildren.size(); i++) {
+						Object element = allChildren.get(i);
 						if (
 								//!TBXPreferences.getBoolean(TBXPreferences.SHOW_ALL_RESULT_NODES, TBXPreferences.PREFERENCES_NODE) && 
-								(element instanceof Text || element instanceof SavedQuery)) {
-							children.remove(i);
-							i--;
+								!(element instanceof Text)
+								&& !(element instanceof SavedQuery)
+								&& !(element instanceof Corpus)
+								&& !(element instanceof Partition)
+								) {
+							otherChildren.add(element);
 						}
+						else if(element instanceof Partition)	{
+							partitions.add(element);
+						}
+						else if(element instanceof Corpus)	{
+							subcorporas.add(element);
+						}
 					}
 					
+					Collections.sort(partitions);
+					Collections.sort(subcorporas);
+					
+					children.addAll(partitions);
+					children.addAll(subcorporas);
+					children.addAll(otherChildren);
+					
 					return children.toArray();
 				}
 
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 756)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 757)
@@ -625,25 +625,17 @@
 
 	@Override
 	public String getSimpleName() {
-		StringBuffer output = new StringBuffer();
-
 		if (pQuery != null && !pQuery.isEmpty())	{
+			StringBuffer output = new StringBuffer();
 			output.append(pQuery.getQueryString());
+			if (pMaxLeftContextSize > 0 && pMaxRightContextSize > 0)	{
+				output.append(" (" + (pMaxLeftContextSize - 1) + ", " + (pMaxRightContextSize - 1) + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
+			}
+			return output.toString();
 		}
 		else	{
-			output.append(this.getEmptyName());
+			return this.getEmptyName();
 		}
-
-		if (pMaxLeftContextSize > 0 && pMaxRightContextSize > 0)	{
-			output.append(" (" + (pMaxLeftContextSize - 1) + ", " + (pMaxRightContextSize - 1) + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
-		}
-
-		// if the result was not computed
-		if (output.length() == 0) {
-			output.append(this.getParent().getName());
-		}
-
-		return output.toString();
 	}
 
 	/**
@@ -1560,6 +1552,6 @@
 			return occ+CooccurrenceCoreMessages.Cooccurrence_4+freq+CooccurrenceCoreMessages.Cooccurrence_7+nbocc+CooccurrenceCoreMessages.Cooccurrence_8+score+CooccurrenceCoreMessages.Cooccurrence_9+distmoyenne+CooccurrenceCoreMessages.Cooccurrence_10+props;
 		}
 	}
+
 	
-	
 }
